CREATE TABLE msc_business_objects_b (
    BUSINESS_OBJECT           VARCHAR2(240) ,
    SUPPORTED_VERSIONS        NUMBER        ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    XREF_AVAILABILITY_FLAG    NUMBER(1, 0)  ,
    STG_COLL_AVL_FLAG         NUMBER(1, 0)  ,
    PLANNING_BO_TYPE          NUMBER(1, 0)  ,
    PIM_TCA_FLAG              NUMBER(1, 0)  ,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    DEPENDENT_BO_LIST         VARCHAR2(800) ,
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    BUSINESS_OBJECT           VARCHAR2(240) ,
    SUPPORTED_VERSIONS        NUMBER        ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    XREF_AVAILABILITY_FLAG    NUMBER(1, 0)  ,
    STG_COLL_AVL_FLAG         NUMBER(1, 0)  ,
    PLANNING_BO_TYPE          NUMBER(1, 0)  ,
    PIM_TCA_FLAG              NUMBER(1, 0)  ,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    DEPENDENT_BO_LIST         VARCHAR2(800) ,
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_msc_business_objects_b PRIMARY KEY (BUSINESS_OBJECT, BUSINESS_OBJECT)
);
